# Uses of Class
org.apache.solr.common.util.Pair

Packages that use Pair
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of Pair in org.apache.solr.client.solrj.request

Constructor parameters in org.apache.solr.client.solrj.request with type arguments of type Pair
Modifier
Constructor
Description
``
`MultiContentWriterRequest(SolrRequest.METHOD m, String path, Iterator<Pair<NamedList<String>,Object>> payload)`

## Uses of Pair in org.apache.solr.common.util

Fields in org.apache.solr.common.util with type parameters of type Pair
Modifier and Type
Field
Description
`static final ValidatingJsonMap.PredicateWithErrMsg<Pair>`
ValidatingJsonMap.`ENUM_OF`
Methods in org.apache.solr.common.util that return Pair
Modifier and Type
Method
Description
`static Pair`
Pair.`parse(Map<String,?> m)`
Method parameters in org.apache.solr.common.util with type arguments of type Pair
Modifier and Type
Method
Description
`Object`
ValidatingJsonMap.`get(String key, ValidatingJsonMap.PredicateWithErrMsg<Pair> predicate, Object arg)`